| OGRE 1.11.1 Object-Oriented Graphics Rendering Engine

Classes | Namespaces | Macros | Typedefs
OgreD3D11HLSLProgram.h File Reference
`#include "OgreD3D11Prerequisites.h"`
`#include "OgreD3D11DeviceResource.h"`
`#include "OgreHighLevelGpuProgram.h"`
`#include "OgreHardwareUniformBuffer.h"`

## Classes
class | Ogre::D3D11HLSLProgram
| Specialization of HighLevelGpuProgram to provide support for D3D11 High-Level Shader Language (HLSL). More...
class | Ogre::D3D11HLSLProgram::CmdColumnMajorMatrices
| Command object for setting matrix packing in column-major order. More...
class | Ogre::D3D11HLSLProgram::CmdEnableBackwardsCompatibility
| Command object for setting backwards compatibility. More...
class | Ogre::D3D11HLSLProgram::CmdEntryPoint
| Command object for setting entry point. More...
class | Ogre::D3D11HLSLProgram::CmdPreprocessorDefines
| Command object for setting macro defines. More...
class | Ogre::D3D11HLSLProgram::CmdTarget
| Command object for setting target assembler. More...

## Namespaces
| Ogre

## Macros
#define | INVALID_IDX (unsigned int)-1

## Typedefs
typedef std::vector< byte > | Ogre::MicroCode

## Macro Definition Documentation

## ◆ INVALID_IDX

#define INVALID_IDX (unsigned int)-1